Apache Tomcat 6.0.51

## org.apache.catalina
Interface Contained

All Known Implementing Classes:
  AccessLogValve, AuthenticatorBase, BasicAuthenticator, ClusterSingleSignOn, CometConnectionManagerValve, DigestAuthenticator, ErrorReportValve, ExtendedAccessLogValve, FastCommonAccessLogValve, FormAuthenticator, JDBCAccessLogValve, JvmRouteBinderValve, NonLoginAuthenticator, PersistentValve, RemoteAddrValve, RemoteHostValve, RemoteIpValve, ReplicationValve, RequestDumperValve, RequestFilterValve, SemaphoreValve, SingleSignOn, SSLAuthenticator, SSLValve, StandardPipeline, StuckThreadDetectionValve, ValveBase, WebdavFixValve

    public interface Contained

Decoupling interface which specifies that an implementing class is associated with at most one Container instance.

Author:
  Craig R. McClanahan, Peter Donald

Method Summary
`Container` | `getContainer()` Return the `Container` with which this instance is associated (if any); otherwise return `null`.
`void` | `setContainer(Container container)` Set the `Container` with which this instance is associated.

Method Detail

### getContainer

    Container getContainer()

  Return the `Container` with which this instance is associated (if any); otherwise return `null`.

### setContainer

    void setContainer(Container container)

  Set the `Container` with which this instance is associated.

  Parameters:
    `container` - The Container instance with which this instance is to be associated, or `null` to disassociate this instance from any Container

Apache Tomcat 6.0.51

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.